#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	CPHash
Summary:	Tie::CPHash - Case preserving but case insensitive hash table
Summary(pl.UTF-8):	Tie::CPHash - tablica haszująca zachowująca, ale nie rozróżniająca wielkości liter
Name:		perl-Tie-CPHash
Version:	2.000
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Tie/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e8c86f8294bd87b56b3c9d7e748ee1ce
URL:		http://search.cpan.org/dist/Tie-CPHash/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::CPHash - provides a hash table that is case preserving but case
insensitive.

%description -l pl.UTF-8
Tie::CPHash - udostępnia tablicę haszującą, która zachowuje wielkość
liter ale ich nie rozróżnia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tie/CPHash.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Tie-CPHash.git;a=log;h=master

* Thu Nov 01 2018 Adam Gołębiowski <adamg@pld-linux.org> a94579b
- updated to 2.000

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> d2fea30
- updated to 1.04

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 0aaecab
- generic URL
- informative summaries

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 7679a0b
- up to 1.03

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a0b42c0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a364bf5
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 61cc485
- ver. 1.02

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> aa889b4
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 6161075
- rel. 10

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3333cc2
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> ccdc6de
- tests added, licence fix, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 20c5896
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 508d79d
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 3f09011
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 2b4d3a4
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 3f1c734
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 415f107
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> fc2bce6
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 4db3986
- massive attack: change CPAN URLs

* Tue Nov 26 2002 ankry <ankry@pld-linux.org> 3372ac9
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

